Deep Security Manager REST API

Path: / rest / cloudaccounts

List configuration of all cloud accounts (Amazon, vCloud Private Cloud).


Resources
NameDescription
{cloudAccountId}Get a specific cloud account.

Method Summary
ResourceDescription
GET /rest/cloudaccounts?sID=…List configuration of all cloud accounts (Amazon, vCloud Private Cloud).
POST /rest/cloudaccountsAdd a new cloud account.

Method Detail
HTTP Example:
GET /rest/cloudaccounts?sID=…

API Example:

ICloudAccountAPI.getCloudAccounts({'sID': /* sID session ID. */});

List configuration of all cloud accounts (Amazon, vCloud Private Cloud).

Output:
CloudAccountListing - The list of configured cloud accounts (if any).
Query parameters:
sID - session ID.
Produces:
application/xml
application/json
HTTP Example:
POST /rest/cloudaccounts

API Example:

ICloudAccountAPI.addCloudAccount({'$entity': /* createCloudAccountRequest The request parameters. */});

Add a new cloud account.

The following fields of the CloudAccountElement are mandatory:

For AMAZON

  • accessKey
  • secretKey
  • cloudType where the value is AMAZON
  • name
  • cloudRegion where the value are a choice between the following keys:
    • amazon.cloud.region.key.1 maps to us-east-1
    • amazon.cloud.region.key.2 maps to us-west-2
    • amazon.cloud.region.key.3 maps to us-west-1
    • amazon.cloud.region.key.4 maps to eu-west-1
    • amazon.cloud.region.key.5 maps to ap-southeast-1
    • amazon.cloud.region.key.6 maps to ap-northeast-1
    • amazon.cloud.region.key.7 maps to sa-east-1
    • amazon.cloud.region.key.8 maps to ap-southeast-2

For VCLOUD

  • userId
  • userPassword
  • endpoint
  • cloudType where the value is VCLOUD_PRIVATE_CLOUD
  • name

For AZURE

  • subscriptionId
  • azureCertificate
  • cloudType where the value is AZURE
  • name
  • azureCertPassword (A password is required only if the key pair is encrypted.)

Input:
CreateCloudAccountRequest - The request parameters.
Output:
CreateCloudAccountResponse - A response with status 200 OK and a body containing response information when adding a cloud account succeeds. It will return a response with status 400 Bad Request and a body containing an ErrorMessage when mandatory parameters are missing or validation fails.
Produces:
application/xml
application/json
Consumes:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.